%define module_name Game-Life-Infinite-Board
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt2
Summary: An infinite board for Conway's Game of Life.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TJ/TJS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module implements the well known Conway's Game of Life in Perl.
Points of interest:

=over

=item *
Infinite grid (no "fell over" or "warp").

=item *
Oscilator detection

=item *
Rules as parameter

=item *
Simple load, save and print

=item *
Colourised life support (Immigration, Quadlife)

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES README
%perl_vendor_privlib/G*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.07-alt2
- updated summary

* Tue Jun 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

